> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Blacklist

> Retrieves the paginated blacklist phone numbers of the account.



## OpenAPI

````yaml post /v2/Account/Blacklist/Search
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Account/Blacklist/Search:
    post:
      tags:
        - Account
      summary: Search Blacklist
      description: Retrieves the paginated blacklist phone numbers of the account.
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BlackListTableSearchApi'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BlackListTableSearchApi'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BlackListTableSearchApi'
      responses:
        '200':
          description: The paginated list of blacklist phone numbers.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BlacklistedPhoneApiViewTableSearchResult'
            application/json:
              schema:
                $ref: '#/components/schemas/BlacklistedPhoneApiViewTableSearchResult'
            text/json:
              schema:
                $ref: '#/components/schemas/BlacklistedPhoneApiViewTableSearchResult'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    BlackListTableSearchApi:
      type: object
      properties:
        skip:
          type: integer
          description: Number of entries to skip for pagination.
          format: int32
        limit:
          type: integer
          description: Limit on the number of entries to return.
          format: int32
        sortProp:
          type: string
          description: Property name to sort by.
          nullable: true
        isAscending:
          type: boolean
          description: Whether the sort order is ascending.
        search:
          type: string
          description: "A phone number or partial phone number.\r\n            \r\nMax 50 characters only."
          nullable: true
      additionalProperties: false
    BlacklistedPhoneApiViewTableSearchResult:
      type: object
      properties:
        count:
          type: integer
          description: The total number of items matching the search criteria.
          format: int64
        results:
          type: array
          items:
            $ref: '#/components/schemas/BlacklistedPhoneApiView'
          description: >-
            The list of results for the current page, based on the search
            criteria.
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    BlacklistedPhoneApiView:
      type: object
      properties:
        phoneNumber:
          type: string
          description: "Blacklisted phone number or phone prefix.\r\n            \r\nThis value may represent:\r\n- A full phone number (e.g. +1234567890)\r\n- A country prefix (e.g. +41)\r\n- A partial prefix range (e.g. +41837)\r\n            \r\nAny phone number matching the blacklisted value or prefix will be blocked."
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````